OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepAP214

# StepAP214_AppliedExternalIdentificationAssignment Class Reference

Representation of STEP entity AppliedExternalIdentificationAssignment
.

`#include <StepAP214_AppliedExternalIdentificationAssignment.hxx>`

Inheritance diagram for StepAP214_AppliedExternalIdentificationAssignment:

[legend]

## Public Member Functions
Standard_EXPORT | StepAP214_AppliedExternalIdentificationAssignment ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aIdentificationAssignment_AssignedId, const Handle(StepBasic_IdentificationRole)&aIdentificationAssignment_Role, const Handle(StepBasic_ExternalSource)&aExternalIdentificationAssignment_Source, const Handle(StepAP214_HArray1OfExternalIdentificationItem)&aItems)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepAP214_HArray1OfExternalIdentificationItem | Items () const
| Returns field Items .
Standard_EXPORT void | SetItems (const Handle(StepAP214_HArray1OfExternalIdentificationItem)&Items)
| Set field Items .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepAP214_HArray1OfExternalIdentificationItem | theItems

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_AppliedExternalIdentificationAssignment::StepAP214_AppliedExternalIdentificationAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP214_AppliedExternalIdentificationAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_ExternalIdentificationAssignment.

Standard_EXPORT void StepAP214_AppliedExternalIdentificationAssignment::Init | ( | const Handle(TCollection_HAsciiString)& | aIdentificationAssignment_AssignedId,
|  | const Handle(StepBasic_IdentificationRole)& | aIdentificationAssignment_Role,
|  | const Handle(StepBasic_ExternalSource)& | aExternalIdentificationAssignment_Source,
|  | const Handle(StepAP214_HArray1OfExternalIdentificationItem)& | aItems
| ) |

Standard_EXPORT Handle_StepAP214_HArray1OfExternalIdentificationItem StepAP214_AppliedExternalIdentificationAssignment::Items | ( |  | ) | const

Standard_EXPORT void StepAP214_AppliedExternalIdentificationAssignment::SetItems | ( | const Handle(StepAP214_HArray1OfExternalIdentificationItem)& | Items | ) |

## Field Documentation

Handle_StepAP214_HArray1OfExternalIdentificationItem StepAP214_AppliedExternalIdentificationAssignment::theItems`[private]`

The documentation for this class was generated from the following file:

- StepAP214_AppliedExternalIdentificationAssignment.hxx